Still under development? Rated 5 out of 5 stars

hi

would be really awesome if this could work with SeaMonkey 2.12.1.

I get a "not compatible" alert.

thanks!